Jump to content
  • 1

How to run PETSCII


Jammer
 Share

Question

I'm new and wanted to try out the PETSCII game. I downloaded the x16 emulator and the X16Robots-shareware. Now what? After searching for several hours, I can't find any instructions how to get the game to run. Can anyone advise me on how to get the PETSCII game to load and run? Thank you.

(Sorry in advance for being the annoying noob, asking a dumb question, not knowing where to look for the obvious answer and not knowing the proper place to post my question.)

Link to comment
Share on other sites

6 answers to this question

Recommended Posts

  • 0

In addition to what AndyMt said, you can also run it within the emulator by running with "-prg X16ROBOTS.PRG -run" as arguments from the command line.  Or you could type 'LOAD "X16ROBOTS.PRG"' within emulator.  These are assuming you have the Petscii Robots files in the same directory as the emulator.

Edited by Ender
  • Thanks 1
Link to comment
Share on other sites

  • 0

I also have not found the magic combination of commands to run petscii robots on the x16 emulator.

Perhaps something has changed since the last post, but the x16 version of petscii robots does not have .prg.  LOAD "X16ROBOTS.PRG" give a not found error, while "X16ROBOTS" tries to load.  I have attached pictures of what I am seeing.

 

petscii_load.png

petscii_and_x16.png

Link to comment
Share on other sites

  • 0

Make sure that you are using the correct version of the emulator for the program. I seem to recall there being a thread elsewhere on this site about which version it was written for — subsequent versions have changes to the ROM and changes to the hardware addressing that break the game.

Link to comment
Share on other sites

  • 0
  • Super Administrators
On 5/23/2022 at 9:15 AM, vthyng said:

I also have not found the magic combination of commands to run petscii robots on the x16 emulator.

Perhaps something has changed since the last post, but the x16 version of petscii robots does not have .prg.  LOAD "X16ROBOTS.PRG" give a not found error, while "X16ROBOTS" tries to load.  I have attached pictures of what I am seeing.

 

petscii_load.png

petscii_and_x16.png

You appear to be running R41 of the emulator. You need R38. Over the last few releases, things have been moving around, and the graphics and memory bank registers aren't in the same place on R38 and R41. 

Here's how I got it to run on my system:

1. Install R38 of the CX16 emulator from https://github.com/commanderx16/x16-emulator/releases/tag/r38
2. Extract the Commodore Robots ZIP file to somewhere on your hard drive
3. Look in the extracted files and copy the contents of X16 into your emulator directory. level-a, level-b, and so on should go directly in the emulator directory.
4. start the emulator (double-click on the emulator icon)
5. LOAD "X16ROBOTS",8,1
6. RUN

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...

Important Information

Please review our Terms of Use